package com.mortals.xhx.module.library.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.library.model.vo.PublicLibraryVo;
/**
* 材料公共库实体对象
*
* @author zxfei
* @date 2023-03-01
*/

public class PublicLibraryEntity extends PublicLibraryVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 材料简称
    */
    private String simpleName;
    /**
    * 材料全称
    */
    private String fullName;
    /**
    * 文件地址
    */
    private String fileUrl;
    /**
    * 文件预览地址
    */
    private String previewUrl;



    public PublicLibraryEntity(){}
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 材料简称
    * @return String
    */
    public String getSimpleName(){
        return simpleName;
    }
    /**
    * 设置 材料简称
    * @param simpleName
    */
    public void setSimpleName(String simpleName){
        this.simpleName = simpleName;
    }
    /**
    * 获取 材料全称
    * @return String
    */
    public String getFullName(){
        return fullName;
    }
    /**
    * 设置 材料全称
    * @param fullName
    */
    public void setFullName(String fullName){
        this.fullName = fullName;
    }
    /**
    * 获取 文件地址
    * @return String
    */
    public String getFileUrl(){
        return fileUrl;
    }
    /**
    * 设置 文件地址
    * @param fileUrl
    */
    public void setFileUrl(String fileUrl){
        this.fileUrl = fileUrl;
    }
    /**
    * 获取 文件预览地址
    * @return String
    */
    public String getPreviewUrl(){
        return previewUrl;
    }
    /**
    * 设置 文件预览地址
    * @param previewUrl
    */
    public void setPreviewUrl(String previewUrl){
        this.previewUrl = previewUrl;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PublicLibraryEntity) {
            PublicLibraryEntity tmp = (PublicLibraryEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",simpleName:").append(getSimpleName());
        sb.append(",fullName:").append(getFullName());
        sb.append(",fileUrl:").append(getFileUrl());
        sb.append(",previewUrl:").append(getPreviewUrl());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.simpleName = "";

            this.fullName = "";

            this.fileUrl = "";

            this.previewUrl = "";
    }
}